/*********************************************
This program was produced by the
CodeWizardAVR V1.24.0 Standard
Automatic Program Generator
 Copyright 1998-2003 HP InfoTech s.r.l.
http://www.hpinfotech.ro
e-mail:office@hpinfotech.ro

Project : PPE robot suiveur de ligne
	  Commande d'un servo-moteur  (fichier prof)
Version : 1
Date    : 17/04/2010
Author  : perso                           
Company :  Lyce PE MARTIN                                
Comments:Le rapport cyclique du signal OC0A
est modifi en fonction de l'tat logique de PB3
PB3 = 0 => alpha = 0,0724 (angle -90 pour le servo utilis) 
PB3 = 1 => alpha = 0,1449 (angle +90 pour le servo utilis) 
Priode de OC0A = 13,6ms (9,6.10E6 /(510*256))^-1 


Chip type           : ATtiny13
Clock frequency     : 9,600000 MHz
Memory model        : Tiny
External SRAM size  : 0
Data Stack size     : 16
*********************************************/

#include <tiny13.h>

#define Choix_angle		PINB.3
#define BRAS			OCR0A
#define RENTRE          0
#define SORT            80



// Declare your global variables here

void main(void)
{
// Declare your local variables here

// Crystal Oscillator division factor: 1
CLKPR=0x80;
CLKPR=0x00;

// Input/Output Ports initialization
// Port B initialization
// Func0=Out Func1=In Func2=In Func3=In Func4=In Func5=In 
// State0=0 State1=T State2=T State3=P State4=T State5=T 
PORTB=0x08;
DDRB=0x01;

// Timer/Counter 0 initialization
// Clock source: System Clock
// Clock value: 150,000 kHz
// Mode: Phase correct PWM top=FFh
// OC0A output: Non-Inverted PWM
// OC0B output: Disconnected
TCCR0A=0x81;
TCCR0B=0x03;
TCNT0=0x00;
OCR0A=0x00;
OCR0B=0x00;


while (1)
      {
      // Bras dans l'axe pendant le dplacement 
     	while (Choix_angle == 1) BRAS = SORT;     
     	while (Choix_angle == 0) BRAS = RENTRE;     
      };
}
